
#include <windows.h>

LRESULT CALLBACK WndProc (HWND, UINT, WPARAM, LPARAM);

int APIENTRY WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
                    PSTR szCmdLine, int iCmdShow)
{

     TCHAR    szAppName[] = TEXT("Main Window");
     HWND     hwnd;
     MSG      msg;
     WNDCLASS wndclass;

     wndclass.style         = CS_HREDRAW | CS_VREDRAW;
     wndclass.lpfnWndProc   = WndProc;
     wndclass.cbClsExtra    = 0;
     wndclass.cbWndExtra    = 0;
     wndclass.hInstance     = hInstance;
     wndclass.hIcon         = LoadIcon (NULL, IDI_APPLICATION);
     wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW);
     wndclass.hbrBackground = (HBRUSH) GetStockObject (WHITE_BRUSH);
     wndclass.lpszMenuName  = NULL;
     wndclass.lpszClassName = szAppName;

     if (!RegisterClass(&wndclass))
     {
          MessageBox(NULL, TEXT("RegisterClass() Failed"), 
                     szAppName, MB_ICONERROR);
          return 0;
     }
     
     hwnd = CreateWindow(szAppName,TEXT("Main Window"),WS_OVERLAPPEDWINDOW,CW_USEDEFAULT,CW_USEDEFAULT,
                         CW_USEDEFAULT,CW_USEDEFAULT,NULL,NULL,hInstance,NULL);
     
     ShowWindow(hwnd,iCmdShow);
     UpdateWindow(hwnd);
     
     while (GetMessage(&msg,NULL,0,0))
     {
          TranslateMessage(&msg);
          DispatchMessage(&msg);
     }
     return msg.wParam;
}

LRESULT CALLBACK WndProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{     
     switch(message)
     {          
     case WM_DESTROY:
          PostQuitMessage (0);
          return 0;
     }
     return DefWindowProc(hwnd,message,wParam,lParam);
}
